<template>
  <span mode-toolbar @click='changeMode' :mode="activeMode">{{activeMode}}<br><span small>mode</span></span>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import { store } from '../../store';
type modes = 'read' | 'write';
@Component({
  components: {
  },
})
export default class extends Vue {

  private changeMode() {
    const mode: modes = this.activeMode === 'read' ? 'write' : 'read';
    store.dispatch.auth('renew', {mode});
  }

  get store() {
    return store;
  }

  get activeMode(): modes {
    const userData = store.state.auth.userData;
    const userMode = userData && userData.l1ce && userData.l1ce.mode;
    if (userMode) {
      return userMode;
    } else {
      return 'read';
    }
  }
}
</script>

<style scoped lang="scss">
[mode-toolbar] {
  text-align: center;
  &[mode='write'] {
    background: $yellow;
  }

  p {
    margin: 0;
  }

  [small] {
    font-size: .8em;
  }
}
</style>
